Bug 5324 - Registration closes before end of day on the closing date
Registration closes before end of day on the closing date
Status: RESOLVED FIXED
Product: OCS
Classification: Unclassified
Component: General
2.3.5
PC Mac OS X 10.3
: P5 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-19 10:54 PDT by James MacGregor
Modified: 2012-03-15 09:46 PDT (History)
2 users (show)

See Also:
Version Reported In: 2.3.0
Also Affects:


Attachments
Patch against OCS pre-2.3.4 (2.42 KB, patch)
2011-09-19 12:57 PDT, Michael Felczak
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description James MacGregor 2010-04-19 10:54:37 PDT
Conference Timeline "Close" dates should be standardized to end-of-day, and this should be made explicit on the Timeline page, probably in the instructions at the top of page. 

Currently, the Abstract close date is set to close at 23:59:59 of the day specified in the timeline (see Bug 3369); however, other close dates appear to close at 00:00:00 of the day specified. 

I think that all close dates should be set to 23:59:59, as it is for abstract submission, even if it is confusing for conferences already using the system -- overly permissive is probably better than unexpectedly strict in this case (although I'm happy to to hear objections to this). 

Information explicitly stating close times should also be added to the top of the page. Something like: 

"All close times are set to happen at the end of the selected day."

(Courtesy of http://pkp.sfu.ca/support/forum/viewtopic.php?f=3&t=6008&p=22957#p22957)
Comment 1 Michael Felczak 2011-09-19 12:57:26 PDT
Created attachment 3644 [details]
Patch against OCS pre-2.3.4
Comment 2 Michael Felczak 2011-09-19 13:00:03 PDT
Registration closes before end of day on the closing date
https://github.com/pkp/ocs/commit/fbad3b572c0127f678d24ee36259a26bcdb8fea7
Comment 3 Michael Felczak 2011-09-19 13:20:15 PDT
Thanks, James.

Looking at this in more detail,

a) conference timeline closing dates are being saved correctly in the db (with
a time of 23:59:59).

b) registration type closing date was saved correctly in the db, but
incorrectly retrieved via the DAO (missing time component).

c) registration option closing date was incorrectly being saved in the db as
date only (no time component).

For new installations, all close dates should now be saved and retrieved
correctly.
Comment 4 Michael Felczak 2011-09-19 13:34:28 PDT
Existing installations that have not been upgraded to at least OCS 2.3.4 will need to be manually updated in order to modify the registration options closing date column:

ALTER TABLE registration_options CHANGE COLUMN closing_date closing_date DATETIME NOT NULL;
Comment 5 Michael Felczak 2011-09-19 13:42:40 PDT
For all scheduled conferences created using a version of OCS older that OCS 2.3.4, the time component for registration option closing dates will be 00:00:00.

This can be updated to 23:59:59 by editing/re-saving all relevant registration options via the standard OCS conference manager pages.

The times will not be updated automatically by the OCS 2.3.4 upgrade script to ensure that conferences that expect the old behaviour (i.e. registration closing one day sooner) can decide whether the times should be updated.
Comment 6 Michael Felczak 2011-09-19 14:05:02 PDT
Registration closes before end of day on the closing date
https://github.com/pkp/ocs/commit/645122f2071ab099baf074e23bd3c1422830220b
Comment 7 Michael Felczak 2011-09-19 14:08:56 PDT
Fixed.